.wpb_animate_when_almost_visible { opacity: 1; }

Incident - Documentation 1.10

  • Service management

Report and track your incidents within Orange Business

Contact us

Version 1.10 - April 8th 2026

Added

1) New Endpoint: POST /autodiag


Creates/launches an automatic diagnosis for a configuration item targeting eligible devices only.

Key behaviors:

  • Eligibility check is performed before launching the autodiag.

  • Optional parameters cannot be combined (you must use one option at a time).

  • Supported usage patterns:

    • POST /autodiag (no parameters):
      • Launches a standard autodiag.
      • In the response, resetPort must be set to true.

    • POST /autodiag with resetPort:

      • Launches a reset port action on the equipment.
      • This may cause a reboot/disruption.

    • POST /autodiag with getResult:
      
      • Retrieves the result of the resetPort action.

 2) New Endpoint: GET /autofdiag/{autodiagId}

Fetches the autodiag execution result/details by autodiag identifier.

Path parameter:

  • {autodiagId}: ID of the autodiag job/execution to query.

Important Note (UAT / Sandbox Safety)

Using /autodiag in UAT/sandbox will poll or trigger actions on real production assets.

When testing:

  • Be very cautious, especially if using options that perform actions (e.g., resetPort).
  • A simple autodiag is generally harmless.
  • reset port action will reboot the device and may temporarily break connectivity.

Changed

  • Offer Name Filter in /incident: Updated the offer.name filter to accept an array of strings instead of a single string. This change allows for more flexible filtering options without impacting existing usage

Version 1.9 - February 18th 2026

Added

  • Field "name" in Service Point: Included a new name field in the request body for POST /Incident to enhance incident reporting details.
  • Retention Policy Definition: Introduced a new retention policy definition to support data lifecycle management.

Changed

  • Offer Name Filter in /aggregate: Updated the offer.name filter to accept an array of strings instead of a single string. This change allows for more flexible filtering options without impacting existing usage

Version 1.8 - July 21st 2025

  • POST /attachment now supports both synchronous and asynchronous modes via the async query parameter. In both modes, attachments are scanned by antivirus before processing.
  • New fields added to the response of the synchronous mode for POST /attachment:
    • attachmentId: The unique identifier of the newly posted attachment.
    • href: The URI location of the created attachment.
  • New endpoint: GET /jobs/{id} to retrieve the status and details of asynchronous jobs initiated by the POST /attachment endpoint in async mode.
  • Recommendation: It is recommended to use async=true for POST /attachment to avoid timeout issues during antivirus scanning, especially for large files.

Version 1.7 - June 18th 2025

  • Enhanced Note Creation: Added the capability to include an attachment reference when creating a new note via POST request.
    • Only one attachment can be linked per note.
  • Improved Note Retrieval: The GET Note response now includes the attachment href if an attachment is linked to the note.
  • Data Consistency Fix: Corrected the enum values for the origin field in GET notes to match the case-sensitive stored values. 

Version 1.6 - April 23rd 2025

  • ​Added new endpoint /incidents/aggregate/{groupby}
    • This endpoint allows to fetch pre-cached aggregates of incidents based on criterion

Version 1.5 - December 16th 2024

  • ​Enhancements

    • Added the option to update incident "shortDescription".
    • Defined maximum limit for incidents retrieval to be 250 incidents maximum per request. 

Version 1.4 - October 14th 2024

  • Bug fixes

    • Posting contact while creating an incident.
      
  • ​Enhancements

    • Added optional field "firstName" to contacts object.

Version 1.3 - November 6th 2023

Delay of availability in the API of elements created by Orange Business have been reduced to +/- 3 minutes

Version 1.2 - March 23rd 2023

Release including new filter note.createdAT for searching incidents